biterp

Atualizar conta financeira

PATCH
/financial-accounts/{id}
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://api.biterp.ai/financial-accounts/{id}" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "bank_id": "string",
  "bank_supplier_id": "9ff8778f-b90d-4848-a154-afd5a8740233",
  "name": "string",
  "reference_code": "string",
  "type": "string",
  "initial_balance": "1500.000000",
  "description": "string",
  "is_blocked": true,
  "display_order": 0,
  "metadata": {},
  "credit_card_data": {
    "financial_account_id": "string",
    "credit_limit": "string",
    "closing_day": 0,
    "due_day": 0,
    "brand": "string",
    "last_four_digits": "string",
    "default_debit_account_id": "5004c229-60ef-46cc-96f8-8a3e210b5652"
  },
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "deleted_at": "2019-08-24T14:15:22Z"
}
{
  "status_code": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "status_code": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "status_code": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "status_code": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "status_code": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}